%define name ha-api
%define debug_package %{nil}
%define version 1.0.0

Summary: HA API Flask
Name: %{name}
Version: %{version}
Release: 1
Vendor: CS2C
License: MulanPSL2
Group: System Environment/Base
Source0: ha-api-1.0.0.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Requires: corosync pacemaker pcs python3-pam python3-flask
BuildArch: noarch

%description
This package NeoKylin HA flask.

%prep
%setup -q
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/
cp *.py $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/
cp .key.pem $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/
cp .cert.pem $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/
cp -rf loggen.sh $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/
cp -rf static $RPM_BUILD_ROOT/usr/share/heartbeat-gui/ha-api/

mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system/
cp ha-api.service $RPM_BUILD_ROOT/usr/lib/systemd/system/

/usr/bin/msgfmt -o ha-api.mo zh_CN.po
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp ha-api.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/

%pre
#rm -f /etc/init.d/neokylinha

%post

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/share/heartbeat-gui/ha-api/.cert.pem
/usr/share/heartbeat-gui/ha-api/.key.pem
/usr/share/locale/zh_CN/LC_MESSAGES/ha-api.mo
/usr/lib/systemd/system/ha-api.service
/usr/share/heartbeat-gui/ha-api/*
%changelog
