# -*-coding:utf-8-*-
# !/usr/bin/python
# coding: iso-8859-15
import common_utils


def get_cluster_properties_info():
    ret = {}
    data = {}
    cluster_data = common_utils.get_cluster_properties_definition()
    if data is not None:
        data['name'] = 'Policy Engine'
        data['shortdesc'] = 'Policy Engine Options'
        data['version'] = "1.0"
        data['nodecount'] = 2
        data['isconfig'] = True
        data[
            'longdesc'] = 'This is a fake resource that details the options that can be configured for the Policy Engine.'
        data['parameters'] = cluster_data
        ret['data'] = data
        ret['action'] = True
    else:
        ret['action'] = False
        ret['error'] = data
    return ret


def update_cluster_properties(data):
    '''
    Example data:
       data = {"no-quorum-policy": "stop"}
    '''
    print(data)
    if data == {} or data is None:
        return {'action': False, 'error': _('No input data')}
    for key in data.keys():
        print(key)
        value = data[key]
        cmd_str = "crm_attribute -t crm_config -n " + str(key) + " -v " + str(
            value)
        print(cmd_str)
        status, output = common_utils.run_cmd(cmd_str)
        if status != 0:
            return {'action': False, 'error': _(output)}
    return {'action': True, 'info': _('Update cluster properties Success')}


def operation_cluster_action(action):
    if action == 'start':
        status, output = common_utils.run_cmd("pcs cluster start")
    if action == 'stop':
        status, output = common_utils.run_cmd("pcs cluster start")
    if action == 'restart':
        status, output = common_utils.run_cmd("pcs cluster stop")
        status, output = common_utils.run_cmd("pcs cluster start")
    if action == {} or action is None:
        return {"action": False, "error": _("Action on node Failed")}
    else:
        return {"action": True, "info": _("Action on node success")}


if __name__ == "__main__":
    print(common_utils.run_cmd("pcs status"))
    #print(get_cluster_properties_info())
